@import "fonts.css";

:root {
    --viewport-height: 100vh;
    --carousel-height: 0;
    --thumb-shadow: 0px 0px 6px 0px rgba(210, 210, 210, 1);
}

html {
    font-size: calc(0.01 * var(--viewport-height));
    scroll-behavior: smooth;
    height: var(--viewport-height);
    overflow-y: scroll;
}

body {
    margin: 0;
    padding: 0;
}

.disable-scrolling {
    pointer-events: none;
    /*position: fixed;*/
    /*overflow: hidden;*/
}

.noClick {
    pointer-events: none;
}

section {
    scroll-margin-top: calc(0.05 * var(--viewport-height));
}

#section-1 {
    scroll-margin-top: 100rem; /*to be sure we on top*/
}

.preloader-icon {
    position: absolute;
    width: 6rem;
    height: 6rem;
    top: calc(50% - 3rem);
    left: calc(50% - 3rem);
    border: 1rem solid #f3f3f3;
    border-top: 1rem solid #3498db;
    border-radius: 50%;
    animation: spin 2s linear infinite;
    z-index: 99;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

.wrapper {
    color: #707c86;
    font-weight: 500;
}

.transparent {
    opacity: 0;
    transition: opacity .2s;
}

.title-text {
    font-size: 3rem;
    font-weight: 500;
    margin-bottom: 1.6rem;
    text-align: center;
}

.copy-text {
    font-size: 2.5rem;
    font-weight: 300;
    text-align: center;
}

.top-menu {
    position: sticky;
    top: 0;
    width: 100%;
    background: #f4f6f8;
    box-shadow: 0px 0px 15px 0px rgba(202, 202, 202, 1);
    z-index: 9999;
    transition: top .1s;
}

.top-menu ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    align-content: flex-start;
    height: calc(0.07 * var(--viewport-height));
    overflow: hidden;
}

.top-menu li a, .top-menu li a:active, .top-menu li a:visited {
    display: block;
    color: #707c86;
    margin: 0;
    padding: 2.3rem 6rem 2.4rem 6rem;
    transition: all .2s;
    text-decoration: none;
    user-select: none;
}

.top-menu li {
    display: inline-block;
    font-size: 2.9rem;
}

.top-menu ul li a.active {
    background: #00bfa5;
    color: #fff;
}

.slider-block {
    width: 92%;
    /*width: fit-content;*/
    margin: 0 auto;
    background: #e8f1ef;
}

.canvas {
    position: relative;
}

.slider-block-control {
    box-shadow: 0px 8px 8px 0px rgba(230, 230, 230, 1);
    padding: 1rem 3% 3rem 3%;
}

.slider-block-control-content {
    width: 70%;
    margin: 0 auto;
}

.slider-title {
    font-size: 2.1rem;
    padding: 2.4rem 0 1rem 0;
}

.slider-description {
    font-size: 1.7rem;
    font-weight: 300;
}

.slider-wrapper {
    position: relative;
    width: 100%;
    min-height: 1.8rem;
    margin-top: 2.4%;
}

.inputBackground {
    position: absolute;
    width: 100%;
    height: 100%;
    border-radius: 7px;
    background: linear-gradient(90deg, rgba(0,195,165,1) 0%, rgba(234,199,14,1) 50%, rgba(245,95,95,1) 100%);
    z-index: 1;
}

.slider-block-control input[type='range'] {
    width: 100%;
}

.slider-block-control .slider {
    position: relative;
    appearance: none;
    -webkit-appearance: none;
    width: 100%;
    height: 100%;
    margin: 0;
    border-radius: 7px;
    box-shadow: 2px 3px 6px 0px rgba(200, 200, 200, 1);
    background: url("../images/slider-bg-inactive.svg") no-repeat;
    background-size: cover;
    outline: none;
    z-index: 10;
}

.slider::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 3.2rem;
    height: 3.2rem;
    background: #fff;
    border-radius: 50%;
    /*box-shadow: 0px 0px 6px 0px rgba(210, 210, 210, 1);*/
    box-shadow: var(--thumb-shadow);
    border: none;
}

.slider::-moz-range-thumb {
    width: 3.2rem;
    height: 3.2rem;
    background: #fff;
    border-radius: 50%;
    box-shadow: var(--thumb-shadow);
    border: none;
}

.top-block-text {
    margin: 8rem auto 6rem auto;
    text-align: center;
}

.top-block-text-inner {
    width: 100%;
}

.cards-section {
    background: #e8f1ef;
}

.section-description {
    width: 72%;
    margin: 0 auto;
    text-align: center;
    padding: 8rem 0;
}

.info-cards {
    width: 85%;
    margin: 0 auto;
}

.info-card {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    min-height: 32rem;
    margin-bottom: 6rem;
    box-shadow: 0px 8px 8px 0px rgba(220, 220, 220, 1);
    background: #fff;
}

.info-card-content {
    width: 50%;
}

.info-card-text {
    padding: 3rem 6rem;
}

.info-card-content img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.ads {
    padding: 0 0 3rem 0;
    text-align: center;
}

.carousel-text {
    position: relative;
    width: 100%;
    text-align: center;
}

.carousel-section {
    padding-bottom: 4rem;
}

.carousel-text-inner {
    height: 100%;
    background: #e8f1ef;
    transition: height .1s;
    box-shadow: 0px 8px 8px 0px rgba(230, 230, 230, 1);
    overflow: hidden;
    user-select: none;
}

.carousel-text-inner-padding {
    height: 2.4rem;
}

.carousel-text .copy-text {
    padding: 0 5rem 2rem 5rem;
    transition: opacity .2s;
}

.carousel-text .title-text {
    transition: opacity .2s;
    padding: 0 1rem;
    text-align: center;
}

.carousel-img {
    height: var(--carousel-height);
}

.carousel-img img {
    width: 100%;
    object-fit: cover;
}

.carousel-img div:first-child {
    transform: translate3d(5%, 8%, 0);
}

.carousel-img div:last-child {
    transform: translate3d(-5%, 8%, 0);
}

.tns-outer {
    margin: 0 auto;
    overflow: hidden;
}

.tns-nav {
    padding-top: 3rem;
    text-align: center;
}

.tns-nav > [aria-controls] {
    width: 1.4rem;
    height: 1.4rem;
    margin: 2rem 1.1rem;
    padding: 0;
    border-radius: 50%;
    background: #707c86;
    border: none;
}

.tns-nav > [aria-controls]:focus {
    outline: none;
}

.tns-nav > .tns-nav-active {
    background: #00bfa5;
}

.tns-item {
    position: absolute;
    opacity: 0.1;
    transform: translate3d(0, 10%, 0);
    transition: opacity 1.0s, filter .9s, left .9s, bottom .9s, transform .9s;
    filter: blur(8px);
    will-change: filter, opacity, transform;
}

.tns-slide-active {
    opacity: 1;
    transform: translate3d(0, 0, 0);
    filter: blur(0);
    z-index: 100;
    transition: opacity 1.5s, filter .9s, left .5s, bottom .5s, transform .5s;
    z-index: 100;
    will-change: filter, opacity, transform;
}

.tns-outer [aria-controls], .tns-outer [data-action] {
    cursor: pointer;
}

.tns-slider > .tns-item {
    box-sizing: border-box;
}

.tns-horizontal.tns-no-subpixel:after {
    content: '';
    display: table;
    clear: both;
}

.tns-horizontal.tns-no-subpixel > .tns-item {
    float: left;
}

.tns-horizontal.tns-carousel.tns-no-subpixel > .tns-item {
    margin-right: -100%;
}

.tns-visually-hidden {
    position: absolute;
    left: -10000em;
}